function perm = bldPermTSPNN(dm)
% bldPermTSPNN Building a permutation for TSP using nearest neighbor
% heuristic

n = size(dm,1);

perm = zeros(1,n);
perm(1) = ceil(n*rand);

cities = 1:n;

for i = 1:n-1,
    
    cities = setdiff2(cities, perm(i));    
    distances = dm(perm(i), cities);
    [foo, imin] = min(distances);
    
    perm(i+1) = cities(imin);
end
    
    
    