function dm = distmat(x)
%
% DISTMAT Computes euclidean distances between points in x.
%

% Get the number of cities
n = size(x,1);
% Create distance matrix with zero entries
dm = zeros(n, n);
% Compute distances between all cities and one selected city and assign
% them to the column of the distance matrix
for c = 1:n,
    dm(:,c) = distn2one(x, x(c,:));
end
