function n = fBinCountOnes(x, o)
%
% FBINCOUNTONES Evaluation function for Count-Ones problems for binary
% vectors. Modified to count zeros to be usable in minimization.
%

% size(x,2) determines the number of columns of matrix x (i.e. the length
% of the binary vectors).
% sum(x==1, 2) determines number of ones in each row of matrix x.
% The difference is the number of ones.
n = size(x,2) - sum(x == 1, 2);
