function xn = mutSampleGauss(x, o, pmut, sig)
%
% MUTSAMPLEGAUSS Perturbs point x by adding a normal random variable with
% standard deviation sig.
%

mask = rand(size(x)) < pmut;
xn = x + sig * mask .* randn(size(x));
